package utils

import (
	"time"
	"errors"
)

// ParseDateString mengubah string "YYYY-MM-DD" menjadi time.Time
func ParseDateString(dateStr string) (time.Time, error) {
	if dateStr == "" {
		return time.Time{}, errors.New("date string is empty")
	}

	parsed, err := time.Parse("2006-01-02", dateStr)
	if err != nil {
		return time.Time{}, errors.New("invalid date format, expected YYYY-MM-DD")
	}

	return parsed, nil
}

// FormatDate mengubah time.Time menjadi string "YYYY-MM-DD"
func FormatDate(t time.Time) string {
	return t.Format("2006-01-02")
}
